Order a one time or a recurrence prepaid card
1 min
POST
https://app.amberflo.io/customer-portal/prepaid-wallet
Query Parameters
- sessionTokenstringrequiredDescription
Body Parameters
- bodypricing-amberflo-customer-prepaid-request
- idstringDescription
- prepaidOfferVersionintegerDescription
- prepaidPricenumberDescription
- productIdstringDescriptionDefault1
- recurrenceFrequencyobjectDescription
- intervalstring<DAY | MONTH | YEAR>
- intervalsCountinteger
- startTimeInSecondsinteger
- externalPaymentbooleanDescription
- customPriorityintegerDescription
Responses
200
- pricing-amberflo-customer-prepaid-response
- customerIdstring
- endTimeInSecondsinteger
- externalPaymentboolean
- firstCardEndTimeSecondsinteger
- firstInvoiceUristring
- idstring
- internalStatusstring
- originalCurrencyobject
- currencyCodestring
- originalWorthnumber
- paymentIdstring
- paymentStatusstring<PRE_PAYMENT | REQUIRES_ACTION | PENDING | FAILED | SETTLED | NOT_NEEDED | UNKNOWN>
- prepaidConditionsobject
- prepaidConditionsListobject[]
- prepaidOfferVersioninteger
- prepaidPaymentTimeInSecondsinteger
- prepaidPricenumber
- productIdstring
- recurrenceFrequencyobject
- intervalstring<DAY | MONTH | YEAR>
- intervalsCountinteger
- startTimeInSecondsinteger
- createdTimeInSecondsintegerDescription
- modifiedTimeInSecondsintegerDescription
- customPriorityintegerDescription
- commitmentIdstringDescription
- relationIdstringDescription
curl
curl --request POST \
--url 'https://app.amberflo.io/customer-portal/prepaid-wallet?sessionToken=string' \
--header 'accept: application/json' \
--header 'content-type: application/json' \
--data '{
"productId": "1"
}'javascript
var myHeaders = new Headers();
myHeaders.append("accept", "application/json");
myHeaders.append("content-type", "application/json");
var raw = JSON.stringify({
"productId": "1"
});
var requestOptions = {
method: 'POST',
headers: myHeaders,
body: raw,
redirect: 'follow'
};
fetch("https://app.amberflo.io/customer-portal/prepaid-wallet?sessionToken=string", requestOptions)
.then(response => response.text())
.then(result => console.log(result))
.catch(error => console.log('error', error));ruby
require "uri"
require "json"
require "net/http"
url = URI("https://app.amberflo.io/customer-portal/prepaid-wallet?sessionToken=string")
https = Net::HTTP.new(url.host, url.port)
https.use_ssl = true
request = Net::HTTP::Post.new(url)
request["accept"] = "application/json"
request["content-type"] = "application/json"
request.body = JSON.dump({
"productId": "1"
})
response = https.request(request)
puts response.read_body
python
import requests
import json
url = "https://app.amberflo.io/customer-portal/prepaid-wallet?sessionToken=string"
payload = json.dumps({
"productId": "1"
})
headers = {
'accept': 'application/json',
'content-type': 'application/json'
}
response = requests.request("POST", url, headers=headers, data=payload)
print(response.text)
200
// Successful response
{
"customerId": "",
"endTimeInSeconds": 0,
"externalPayment": false,
"firstCardEndTimeSeconds": 0,
"firstInvoiceUri": "",
"id": "",
"internalStatus": "",
"originalCurrency": {
"currencyCode": ""
},
"originalWorth": 0,
"paymentId": "",
"paymentStatus": "",
"prepaidConditions": {
"prepaidConditionsList": [
{}
]
},
"prepaidOfferVersion": 0,
"prepaidPaymentTimeInSeconds": 0,
"prepaidPrice": 0,
"productId": "",
"recurrenceFrequency": {
"interval": "",
"intervalsCount": 0
},
"startTimeInSeconds": 0,
"createdTimeInSeconds": 0,
"modifiedTimeInSeconds": 0,
"customPriority": 0,
"commitmentId": "",
"relationId": ""
}